#include "room_tracker.h"

// Constructor
RoomTracker::RoomTracker()
{
}

// Destructor
RoomTracker::~RoomTracker()
{
    list.clear();
}

// Comprueba si la habitación ya ha sido visitada
bool RoomTracker::hasBeenVisited(std::string name)
{
    for (auto l : list)
    {
        if (l == name)
        {
            return true;
        }
    }

    return false;
}

// Añade la habitación a la lista
bool RoomTracker::addRoom(std::string name)
{
    // Comprueba si la habitación ya ha sido visitada
    if (!hasBeenVisited(name))
    {
        // En caso contrario añádela a la lista
        list.push_back(name);
        return true;
    }

    return false;
}